import serial

ser=serial.Serial()


def connect(port_name,time_limit):
  ser.port = port_name
  ser.timeout = time_limit
  ser.baudrate = 115200
  ser.open()


def transmit(data=0,wrSet=0,addrSet=0):
  shift = 7
  if(wrSet == 2):
    shift=5
  byte_1 = addrSet | (wrSet << shift)
  byte_2 = data
  byte_3 = (byte_1 + byte_2)%256

#  print("Debug: " + str(byte_1) + " " + str(byte_2) + " " + str(byte_3) + "\n")

  to_send = [] #ints
  to_send.append(byte_1) 
  to_send.append(byte_2) 
  to_send.append(byte_3)
#  ser.write(bytes(to_send))
  ser.write(bytes([byte_1]))
  ser.write(bytes([byte_2]))
  ser.write(bytes([byte_3]))  
  return str(to_send)

def receive():
  return ser.read()

