from serial_terminal import *
import textwrap

connect("COM5",1)

typed = ['']
tx_data = 0
rx_data = 0
while(True):
	typed = input('-> ')
	typed = typed.split(' ')

	if(typed[0] == '-h'):
		print(textwrap.dedent("""\
				Send SPI message - spi <data>
				Returns data read.
				---
				Serial command - ser <r/w> <data, if w>
				Returns read data or bytes written"""))
	elif(typed[0] == 'spi'): #spi chip 
		tx_data = transmit(0x40,2,int(typed[1])) #spi command
		rx_data = receive() 		
		tx_data = transmit(0,0,1)
		rx_data1 = receive()		
		tx_data = transmit(0,0,2)
		rx_data2 = receive()			
		print("Got " + str(rx_data1) + " " + str(rx_data2) +".")
	elif(typed[0] == 'ser'):
		if(typed[1] == 'r'): #ser r addr			
			tx_data = transmit(0,0,int(typed[2]))
			print(hex(ord(receive())))
		elif(typed[1] == 'w'): #ser w addr data(hex)
			if(int(typed[2]) > 15):
				print("Address " + typed[2] + " out of range.")
				break
			tx_data = transmit(int(typed[3],16),1,int(typed[2]))
			print(hex(ord(receive())))
		else:
			print("ser dunno")
	elif(typed[0] == 'exit'):
		break
	else:
		print("Unknown command: " + typed[0])






def spi_send(data=0):

	return 0
